# Set the Fallback Climate Preset

* [Request Parameters](#request-parameters)
* [Response](#response)

Sets a specified [climate preset](https://docs.seam.co/latest/capability-guides/thermostats/creating-and-managing-climate-presets) as the ["fallback"](https://docs.seam.co/latest/capability-guides/thermostats/creating-and-managing-climate-presets/setting-the-fallback-climate-preset) preset for a specified [thermostat](https://docs.seam.co/latest/capability-guides/thermostats).

{% tabs %}
{% tab title="JavaScript" %}
Sets a specified climate preset as the "fallback" preset for a specified thermostat.

**Code:**

```javascript
await seam.thermostats.setFallbackClimatePreset({
  device_id: "9a21ddcb-8eeb-4351-8770-1835c3db8b2e",
  climate_preset_key: "Eco",
});
```

**Output:**

```javascript
// void
```

{% endtab %}

{% tab title="cURL" %}
Sets a specified climate preset as the "fallback" preset for a specified thermostat.

**Code:**

```curl
curl --include --request POST "https://connect.getseam.com/thermostats/set_fallback_climate_preset" \
  --header "Authorization: Bearer $SEAM_API_KEY" \
  --json @- <<EOF
{
  "device_id": "9a21ddcb-8eeb-4351-8770-1835c3db8b2e",
  "climate_preset_key": "Eco"
}
EOF
```

**Output:**

```curl
{}
```

{% endtab %}

{% tab title="Python" %}
Sets a specified climate preset as the "fallback" preset for a specified thermostat.

**Code:**

```python
seam.thermostats.set_fallback_climate_preset(
    device_id="9a21ddcb-8eeb-4351-8770-1835c3db8b2e", climate_preset_key="Eco"
)
```

**Output:**

```python
None
```

{% endtab %}

{% tab title="Ruby" %}
Sets a specified climate preset as the "fallback" preset for a specified thermostat.

**Code:**

```ruby
seam.thermostats.set_fallback_climate_preset(
  device_id: "9a21ddcb-8eeb-4351-8770-1835c3db8b2e",
  climate_preset_key: "Eco",
)
```

**Output:**

```ruby
nil
```

{% endtab %}

{% tab title="PHP" %}
Sets a specified climate preset as the "fallback" preset for a specified thermostat.

**Code:**

```php
$seam->thermostats->set_fallback_climate_preset(
    device_id: "9a21ddcb-8eeb-4351-8770-1835c3db8b2e",
    climate_preset_key: "Eco",
);
```

**Output:**

```php
```

{% endtab %}

{% tab title="Seam CLI" %}
Sets a specified climate preset as the "fallback" preset for a specified thermostat.

**Code:**

```seam_cli
seam thermostats set-fallback-climate-preset --device_id "9a21ddcb-8eeb-4351-8770-1835c3db8b2e" --climate_preset_key "Eco"
```

**Output:**

```seam_cli
{}
```

{% endtab %}
{% endtabs %}

<details>

<summary>Authentication Methods</summary>

* API key
* Personal access token\
  Must also include the `seam-workspace` header in the request.

To learn more, see [Authentication](https://docs.seam.co/latest/api/authentication).

</details>

## Request Parameters

**`climate_preset_key`** *String* (Required)

Climate preset key of the climate preset that you want to set as the fallback climate preset.

***

**`device_id`** *String* (Required)

ID of the thermostat device for which you want to set the fallback climate preset.

***

## Response

{% hint style="success" %}
Returns: **void**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/thermostats/set_fallback_climate_preset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
